aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/utils
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-21 19:22:15 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-23 16:16:26 +0100
commit073be1cd9c89ac1de7845c0cdcd370b86cbbe3d8 (patch)
treeaee433f67a2e60306d2bb10476b0be8189483d6c /paludis/repositories/e/ebuild/utils
parent7c34d224c099b6e95fdd448e477f9a935fa3e5fb (diff)
downloadpaludis-073be1cd9c89ac1de7845c0cdcd370b86cbbe3d8.tar.gz
paludis-073be1cd9c89ac1de7845c0cdcd370b86cbbe3d8.tar.xz
D -> IMAGE for exheres.
Diffstat (limited to 'paludis/repositories/e/ebuild/utils')
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dobin12
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dodir6
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dodoc6
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doexe12
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dohard6
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dohtml6
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doinfo10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doins12
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dolib6
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doman10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/domo10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dosbin12
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dosed8
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dosym12
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/fowners2
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/fperms2
16 files changed, 66 insertions, 66 deletions
diff --git a/paludis/repositories/e/ebuild/utils/dobin b/paludis/repositories/e/ebuild/utils/dobin
index d7520a0b1..718da0f15 100755
--- a/paludis/repositories/e/ebuild/utils/dobin
+++ b/paludis/repositories/e/ebuild/utils/dobin
@@ -23,24 +23,24 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting" >&2
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting" >&2
fi
if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed" >&2
fi
-if [[ ! -d "${D}${DESTTREE}/bin" ]]; then
- install -d "${D}${DESTTREE}/bin" || paludis_die_or_error "${D}${DESTTREE}/bin is not a dir"
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/bin" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/bin" || paludis_die_or_error "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/bin is not a dir"
fi
ret=0
for x in "$@" ; do
if [[ -n ${PALUDIS_NO_CHOWN} ]]; then
- install -m0755 "${x}" "${D}${DESTTREE}/bin" || ret=2
+ install -m0755 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/bin" || ret=2
else
- install -m0755 -o root -g 0 "${x}" "${D}${DESTTREE}/bin" || ret=2
+ install -m0755 -o root -g 0 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/bin" || ret=2
fi
done
diff --git a/paludis/repositories/e/ebuild/utils/dodir b/paludis/repositories/e/ebuild/utils/dodir
index ef2e0f938..0a7d7bca4 100755
--- a/paludis/repositories/e/ebuild/utils/dodir
+++ b/paludis/repositories/e/ebuild/utils/dodir
@@ -23,13 +23,13 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
ret=0
for x in "$@"; do
- install -d ${DIROPTIONS} "${D}${x}" || ret=2
+ install -d ${DIROPTIONS} "${!PALUDIS_IMAGE_DIR_VAR}${x}" || ret=2
done
[[ 0 != "${ret}" ]] && paludis_die_or_error "dodir returned error ${ret}"
diff --git a/paludis/repositories/e/ebuild/utils/dodoc b/paludis/repositories/e/ebuild/utils/dodoc
index 438a5ac49..e6a0466bc 100755
--- a/paludis/repositories/e/ebuild/utils/dodoc
+++ b/paludis/repositories/e/ebuild/utils/dodoc
@@ -24,15 +24,15 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ $# -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-dir="${D}usr/share/doc/${PF}/${DOCDESTTREE}"
+dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}"
if [[ ! -d "${dir}" ]]; then
install -d "${dir}" || paludis_die_or_error "could not create ${dir}"
fi
diff --git a/paludis/repositories/e/ebuild/utils/doexe b/paludis/repositories/e/ebuild/utils/doexe
index 92723cfd5..757a2d597 100755
--- a/paludis/repositories/e/ebuild/utils/doexe
+++ b/paludis/repositories/e/ebuild/utils/doexe
@@ -23,8 +23,8 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ! -d ${T} ]]; then
@@ -35,9 +35,9 @@ if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-if [[ ! -d "${D}${EXEDESTTREE}" ]]; then
- if ! install -d "${D}${EXEDESTTREE}" ; then
- paludis_die_or_error "could not create ${D}${EXEDESTTREE}"
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${EXEDESTTREE}" ]]; then
+ if ! install -d "${!PALUDIS_IMAGE_DIR_VAR}${EXEDESTTREE}" ; then
+ paludis_die_or_error "could not create ${!PALUDIS_IMAGE_DIR_VAR}${EXEDESTTREE}"
fi
fi
@@ -53,7 +53,7 @@ for x in "$@"; do
else
mysrc="${x}"
fi
- install ${EXEOPTIONS} "${mysrc}" "${D}${EXEDESTTREE}" || ret=2
+ install ${EXEOPTIONS} "${mysrc}" "${!PALUDIS_IMAGE_DIR_VAR}${EXEDESTTREE}" || ret=2
done
[[ 0 != "${ret}" ]] && paludis_die_or_error "doexe returned error ${ret}"
diff --git a/paludis/repositories/e/ebuild/utils/dohard b/paludis/repositories/e/ebuild/utils/dohard
index 27b7dc0df..178c3fe13 100755
--- a/paludis/repositories/e/ebuild/utils/dohard
+++ b/paludis/repositories/e/ebuild/utils/dohard
@@ -21,8 +21,8 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-if [[ ! -d ${D} ]]; then
- echo "${0}: \${D} not valid; aborting" >&2
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ echo "${0}: \${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting" >&2
exit 247
fi
@@ -31,4 +31,4 @@ if [[ ${#} -ne 2 ]]; then
exit 1
fi
-ln -f "${D}${1}" "${D}${2}"
+ln -f "${!PALUDIS_IMAGE_DIR_VAR}${1}" "${!PALUDIS_IMAGE_DIR_VAR}${2}"
diff --git a/paludis/repositories/e/ebuild/utils/dohtml b/paludis/repositories/e/ebuild/utils/dohtml
index 5e439cea1..6733e6e54 100755
--- a/paludis/repositories/e/ebuild/utils/dohtml
+++ b/paludis/repositories/e/ebuild/utils/dohtml
@@ -23,8 +23,8 @@
source ${PALUDIS_EBUILD_DIR}/0/list_functions.bash
-if [[ ! -d ${D} ]]; then
- echo "${0}: \${D} not valid; aborting" >&2
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ echo "${0}: \${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting" >&2
exit 247
fi
@@ -93,7 +93,7 @@ install_file() {
[[ -z ${DOCDESTTREE} ]] && DOCDESTTREE="html"
- dir="${D}usr/share/doc/${PF}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
+ dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
if [[ -f ${path} ]]; then
ext="$(basename ${path})"
diff --git a/paludis/repositories/e/ebuild/utils/doinfo b/paludis/repositories/e/ebuild/utils/doinfo
index 261a20c59..75776255b 100755
--- a/paludis/repositories/e/ebuild/utils/doinfo
+++ b/paludis/repositories/e/ebuild/utils/doinfo
@@ -23,23 +23,23 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-if [[ ! -d "${D}usr/share/info" ]]; then
- install -d "${D}usr/share/info" || paludis_die_or_error "could not create ${D}usr/share/info"
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/info" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/info" || paludis_die_or_error "could not create ${!PALUDIS_IMAGE_DIR_VAR}usr/share/info"
fi
ret=0
for x in "$@"; do
if [[ -e "${x}" ]]; then
- install -m0644 "${x}" "${D}usr/share/info" || ret=2
+ install -m0644 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}usr/share/info" || ret=2
else
echo "${0}: ${x} does not exist"
ret=2
diff --git a/paludis/repositories/e/ebuild/utils/doins b/paludis/repositories/e/ebuild/utils/doins
index df2318bc3..677ec5385 100755
--- a/paludis/repositories/e/ebuild/utils/doins
+++ b/paludis/repositories/e/ebuild/utils/doins
@@ -24,8 +24,8 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ! -d ${T} ]]; then
@@ -47,15 +47,15 @@ if [[ -z "${INSDEPTH}" ]]; then
declare -i INSDEPTH=0
fi
-if [[ ${INSDESTTREE} == ${D}* ]]; then
+if [[ ${INSDESTTREE} == ${!PALUDIS_IMAGE_DIR_VAR}* ]]; then
echo "-------------------------------------------------------" >&2
- echo "You should not use \${D} with helpers." >&2
+ echo "You should not use \${${PALUDIS_IMAGE_DIR_VAR}} with helpers." >&2
echo " --> ${INSDESTTREE}" >&2
echo "-------------------------------------------------------" >&2
paludis_die_or_error
fi
-if [[ ! -d "${D}${INSDESTTREE}" ]]; then
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${INSDESTTREE}" ]]; then
dodir "${INSDESTTREE}"
fi
@@ -81,7 +81,7 @@ for x in "$@"; do
mysrc="${x}"
fi
- install ${INSOPTIONS} "${mysrc}" "${D}${INSDESTTREE}" || ret=2
+ install ${INSOPTIONS} "${mysrc}" "${!PALUDIS_IMAGE_DIR_VAR}${INSDESTTREE}" || ret=2
done
[[ 0 != "${ret}" ]] && paludis_die_or_error "doins returned error ${ret}"
diff --git a/paludis/repositories/e/ebuild/utils/dolib b/paludis/repositories/e/ebuild/utils/dolib
index 89b56caf8..eac7f5c3f 100755
--- a/paludis/repositories/e/ebuild/utils/dolib
+++ b/paludis/repositories/e/ebuild/utils/dolib
@@ -23,8 +23,8 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ! -d ${PALUDIS_EBUILD_MODULES_DIR} ]]; then
@@ -33,7 +33,7 @@ fi
source "${PALUDIS_EBUILD_MODULES_DIR}/multilib_functions.bash"
-libdir="${D}${DESTTREE}/$(ebuild_get_libdir)"
+libdir="${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/$(ebuild_get_libdir)"
if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
diff --git a/paludis/repositories/e/ebuild/utils/doman b/paludis/repositories/e/ebuild/utils/doman
index a61d635ab..76f6bf629 100755
--- a/paludis/repositories/e/ebuild/utils/doman
+++ b/paludis/repositories/e/ebuild/utils/doman
@@ -24,8 +24,8 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
source "${PALUDIS_EBUILD_DIR}"/0/list_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
@@ -65,11 +65,11 @@ for x in "$@"; do
if [[ ${mandir} =~ ${match} ]]; then
if [[ -s ${x} ]]; then
- if [[ ! -d "${D}${BASE}/man/${mandir}" ]]; then
- install -d "${D}${BASE}/man/${mandir}"
+ if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${BASE}/man/${mandir}" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}${BASE}/man/${mandir}"
fi
- install -m0644 "${x}" "${D}${BASE}/man/${mandir}/${name}" || ret=2
+ install -m0644 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${BASE}/man/${mandir}/${name}" || ret=2
elif [[ ! -e ${x} ]]; then
echo "${0}: ${x} does not exist" >&2
ret=2
diff --git a/paludis/repositories/e/ebuild/utils/domo b/paludis/repositories/e/ebuild/utils/domo
index d6ead2c8c..d8ca54040 100755
--- a/paludis/repositories/e/ebuild/utils/domo
+++ b/paludis/repositories/e/ebuild/utils/domo
@@ -23,16 +23,16 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-if [[ ! -d "${D}${DESTTREE}/share/locale" ]]; then
- install -d "${D}${DESTTREE}/share/locale" || paludis_die_or_error "could not create ${D}${DESTTREE}/share/locale"
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/share/locale" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/share/locale" || paludis_die_or_error "could not create ${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/share/locale"
fi
ret=0
@@ -40,7 +40,7 @@ ret=0
for x in "$@"; do
if [[ -e ${x} ]]; then
mytiny="$(basename "${x}")"
- mydir="${D}${DESTTREE}/share/locale/${mytiny%.*}/LC_MESSAGES"
+ mydir="${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/share/locale/${mytiny%.*}/LC_MESSAGES"
if [[ ! -d ${mydir} ]]; then
install -d "${mydir}"
fi
diff --git a/paludis/repositories/e/ebuild/utils/dosbin b/paludis/repositories/e/ebuild/utils/dosbin
index 92df659c8..3cbfe89b8 100755
--- a/paludis/repositories/e/ebuild/utils/dosbin
+++ b/paludis/repositories/e/ebuild/utils/dosbin
@@ -23,24 +23,24 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-if [[ ! -d "${D}${DESTTREE}/sbin" ]]; then
- install -d "${D}${DESTTREE}/sbin" || paludis_die_or_error "could not create ${D}${DESTTREE}/sbin"
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || paludis_die_or_error "could not create ${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin"
fi
ret=0
for x in "$@"; do
if [[ -n ${PALUDIS_NO_CHOWN} ]]; then
- install -m0755 "${x}" "${D}${DESTTREE}/sbin" || ret=2
+ install -m0755 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || ret=2
else
- install -m0755 -o root -g 0 "${x}" "${D}${DESTTREE}/sbin" || ret=2
+ install -m0755 -o root -g 0 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || ret=2
fi
done
diff --git a/paludis/repositories/e/ebuild/utils/dosed b/paludis/repositories/e/ebuild/utils/dosed
index 70e877e08..dffa16f4a 100755
--- a/paludis/repositories/e/ebuild/utils/dosed
+++ b/paludis/repositories/e/ebuild/utils/dosed
@@ -21,8 +21,8 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-if [[ ! -d ${D} ]]; then
- echo "${0}: \${D} not valid; aborting" >&2
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ echo "${0}: \${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting" >&2
exit 247
fi
@@ -31,12 +31,12 @@ if [[ ${#} -lt 1 ]]; then
exit 1
fi
-mysed="s:${D}::g"
+mysed="s:${!PALUDIS_IMAGE_DIR_VAR}::g"
ret=0
for x in "$@"; do
- y="${D}${x}"
+ y="${!PALUDIS_IMAGE_DIR_VAR}${x}"
if [[ -e ${y} ]]; then
if [[ -f "${y}" ]]; then
sed -i -e "${mysed}" "${y}" || ret=2
diff --git a/paludis/repositories/e/ebuild/utils/dosym b/paludis/repositories/e/ebuild/utils/dosym
index edff1b6ad..18f088e5e 100755
--- a/paludis/repositories/e/ebuild/utils/dosym
+++ b/paludis/repositories/e/ebuild/utils/dosym
@@ -26,21 +26,21 @@ source ${PALUDIS_EBUILD_DIR}/die_functions.bash
source ${PALUDIS_EBUILD_DIR}/pipe_functions.bash
source ${PALUDIS_EBUILD_DIR}/output_functions.bash
-if [[ ! -d ${D} ]]; then
- paludis_die_or_error "\${D} not valid; aborting"
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed."
fi
-if [[ ! -d $(dirname "${D}$2") ]]; then
+if [[ ! -d $(dirname "${!PALUDIS_IMAGE_DIR_VAR}$2") ]]; then
if [[ -n "${PALUDIS_DOSYM_NO_MKDIR}" ]] ; then
- die "error: target directory $(dirname "${D}$2" ) does not exist"
+ die "error: target directory $(dirname "${!PALUDIS_IMAGE_DIR_VAR}$2" ) does not exist"
else
- ebuild_notice "qa" "$0: target directory $(dirname "${D}$2") does not exist; creating. Please fix the ebuild to create it explicitly."
+ ebuild_notice "qa" "$0: target directory $(dirname "${!PALUDIS_IMAGE_DIR_VAR}$2") does not exist; creating. Please fix the ebuild to create it explicitly."
dodir $(dirname $2)
fi
fi
-ln -snf "${1}" "${D}${2}" || paludis_die_or_error "creation of symlink ${D}${2} failed"
+ln -snf "${1}" "${!PALUDIS_IMAGE_DIR_VAR}${2}" || paludis_die_or_error "creation of symlink ${!PALUDIS_IMAGE_DIR_VAR}${2} failed"
diff --git a/paludis/repositories/e/ebuild/utils/fowners b/paludis/repositories/e/ebuild/utils/fowners
index 716ff5299..d58cbd6fe 100755
--- a/paludis/repositories/e/ebuild/utils/fowners
+++ b/paludis/repositories/e/ebuild/utils/fowners
@@ -23,4 +23,4 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-chown "${@/#\//${D}/}" || paludis_die_or_error "chown returned error $?"
+chown "${@/#\//${!PALUDIS_IMAGE_DIR_VAR}/}" || paludis_die_or_error "chown returned error $?"
diff --git a/paludis/repositories/e/ebuild/utils/fperms b/paludis/repositories/e/ebuild/utils/fperms
index ed065e630..fdab7322f 100755
--- a/paludis/repositories/e/ebuild/utils/fperms
+++ b/paludis/repositories/e/ebuild/utils/fperms
@@ -23,4 +23,4 @@
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-chmod "${@/#\//${D}/}" || paludis_die_or_error "chmod returned error $?"
+chmod "${@/#\//${!PALUDIS_IMAGE_DIR_VAR}/}" || paludis_die_or_error "chmod returned error $?"